# US Equity Indices

### Price

The underlying price for the US indices is derived from traditional futures markets, which are then adjusted to reflect the underlying spot price. The price tracks the futures markets 23/5, and uses internal pricing outside trading hours.

At the end of each trading day on the futures markets, in the gap hour, at 5PM ET, the future markets get re-aligned to track that day's trading session for the spot market.

The frequency & availability of futures price feeds, combined with the transparency of the real-time calculation, should allow all market participants to price these contracts correctly & fairly.

Since the price is based on futures prices, these markets will be subject to futures rolling; because the prices are normalized to reflect the spot prices, this should be subtle. The roll will happen all at once, at Friday close, to give time to participants to change quoting strategies / price feeds over the weekend.

### Premium Calculation

For each individual index, we are calculating a futures versus spot adjustment. We do this by sampling the premium that the current front-month futures market has over the underlying spot price. Based on 3 days of data, we're computing an average premium, which should converge to 0 at the time of the expiry of the future. Using this data, we calculate a premium slope, expressed in basis points / day, to continuously adjust the futures price back to the implied spot price.

### syntheticSpotInfo Endpoint

We've introduced [a new endpoint, /syntheticSpotInfo](https://mainnet.zklighter.elliot.ai/api/v1/syntheticSpotInfo?symbol=US100) that can be queried to obtain the current configuration used for that market, which includes:&#x20;

* name of the underlying future contract (eg: NMM6)
* the provider of the price feed (eg: pythlazer)
* the expiry time of the contract, in milliseconds (eg: 1781812800000)
* the spot close time that was used for the current configuration
* the value of basis points / day that's currently being used

Based on this information, all participants should be able to follow [the price of NMM6](https://pythdata.app/explore/Equity.US.NMM6%2FUSD), which is the current front month contract for US100, provided by PythLazer. A sample response:

```json
{
    "code": 200,
    "bps_per_day": 1.0464340212413688,
    "expiry_time_ms": 1781812800000,
    "spot_close_ms": 1779134400000,
    "source": "pythlazer",
    "symbol": "NMM6"
}
```

At any time the index price would be equal to:

$$
\frac{\text{pythPrice}}{(1 + \frac{BPsPerDay}{10^4}) \times \frac{ExpiryTimeMs - CurrentTime}{24 \times 60 \times 60 \times 1000} }
$$


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lighter.xyz/trading/real-world-assets-rwas/us-equity-indices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
